package com.modularapp
{
	//import com.riaxe.modularapp.modules.PanelModule;
	import com.modularapp.modules.GroupTest.WeatherModule;
	import com.modularapp.modules.GroupTest.command.RtfsCommand;
	import com.modularapp.modules.PanelModule;
	import com.modularapp.modules.rtfDrama.RtfModule;
	import com.modularapp.modules.rtfDrama.events.RtfEvent;
	import com.modularapp.view.MainView;
	import com.modularapp.view.MainViewMediator;
	
	import flash.display.DisplayObjectContainer;
	import flash.system.ApplicationDomain;
	
	import org.robotlegs.core.IInjector;
	import org.robotlegs.utilities.modular.core.IModule;
	import org.robotlegs.utilities.modular.mvcs.ModuleContext;
	
	public class MainContext extends ModuleContext
	{
		public function MainContext(contextView:DisplayObjectContainer=null, autoStartup:Boolean=true, parentInjector:IInjector=null, applicationDomain:ApplicationDomain=null)
		{
			super(contextView, autoStartup, parentInjector, applicationDomain);
		}
		
		override public function startup():void
		{
			//mapping modules ---> this is the reason my modules get loaded here.
			viewMap.mapType(PanelModule);
			viewMap.mapType(WeatherModule);
			viewMap.mapType(RtfModule);
			
			// mapping it now, but not effecting anything :(
			viewMap.mapType(IModule);//IT WORKS :)
						
			// mapping views
			mediatorMap.mapView(MainView, MainViewMediator);
			
			//mapping module events for another module event
			moduleCommandMap.mapEvent(RtfEvent.TO_WEATHERMOD, RtfsCommand, RtfEvent);
			
			super.startup();
		}
	}
}